#!/usr/bin/python

import os
import sys
import subprocess

def get_obj():
    for i, arg in enumerate(sys.argv):
        if arg == "-o" and (i + 1) < len(sys.argv):
            return sys.argv[i+1]

    raise Exception("Cannot find '-o OBJ' argument")

def get_args():
    args = sys.argv[1:]
    for i in range(len(args)):
        if args[i] == "--MITIGATION-CVE-2020-0551=":
            args[i] = "--MITIGATION-CVE-2020-0551=NONE"
    return args

def main():
    obj_file = get_obj()

    munge_cmd = os.environ.get("SGX_MUNGE_ASM_OBJ", None)
    if munge_cmd is None:
        print('No SGX_MUNGE_ASM_OBJ env set')
        sys.exit(1)

    subprocess.check_call(get_args())
    subprocess.check_call(munge_cmd.split() + [obj_file])

if __name__ == '__main__':
    main()
